<?xml version="1.0" encoding="UTF-8"?>
<xmi:XMI xmi:version="20131001" xmlns:xmi="http://www.omg.org/spec/XMI/20131001" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:robotics.components="http://www.eclipse.org/papyrus/robotics/components/1" xmlns:robotics.generics="http://www.eclipse.org/papyrus/robotics/generics/1" xmlns:uml="http://www.eclipse.org/uml2/5.0.0/UML" xsi:schemaLocation="http://www.eclipse.org/papyrus/robotics/components/1 http://www.eclipse.org/papyrus/robotics/1#//components http://www.eclipse.org/papyrus/robotics/generics/1 http://www.eclipse.org/papyrus/robotics/1#//generics">
  <uml:Model xmi:id="_WLBh4BdIEeqyMYRxepXoOA" name="ClientServerSystem">
    <packageImport xmi:type="uml:PackageImport" xmi:id="_WLBh4RdIEeqyMYRxepXoOA">
      <importedPackage xmi:type="uml:Model" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#_0"/>
    </packageImport>
    <packageImport xmi:type="uml:PackageImport" xmi:id="_WLBh4hdIEeqyMYRxepXoOA">
      <importedPackage xmi:type="uml:Model" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_LaOOAJcvEeeV0-Lu2yLOjA"/>
    </packageImport>
    <packageImport xmi:type="uml:PackageImport" xmi:id="_yhCVMBdIEeqyMYRxepXoOA">
      <importedPackage xmi:type="uml:Model" href="../components/addClient.compdef.uml#_6nSQsEfEEeiwO_ETU0BG9A"/>
    </packageImport>
    <packageImport xmi:type="uml:PackageImport" xmi:id="_82VVEBdIEeqyMYRxepXoOA">
      <importedPackage xmi:type="uml:Model" href="../components/addServer.compdef.uml#_6nSQsEfEEeiwO_ETU0BG9A"/>
    </packageImport>
    <packageImport xmi:type="uml:PackageImport" xmi:id="_wEiO8L9GEe2La-1oivd53w">
      <importedPackage xmi:type="uml:Model" href="../components/intermediateServer.compdef.uml#_6nSQsEfEEeiwO_ETU0BG9A"/>
    </packageImport>
    <packageImport xmi:type="uml:PackageImport" xmi:id="_yqFU4L9GEe2La-1oivd53w">
      <importedPackage xmi:type="uml:Model" href="../components/addClient.compdef.uml#_6nSQsEfEEeiwO_ETU0BG9A"/>
    </packageImport>
    <packageImport xmi:type="uml:PackageImport" xmi:id="_1Efh0L9GEe2La-1oivd53w">
      <importedPackage xmi:type="uml:Model" href="../components/addServer.compdef.uml#_6nSQsEfEEeiwO_ETU0BG9A"/>
    </packageImport>
    <packagedElement xmi:type="uml:Class" xmi:id="_WLBh4xdIEeqyMYRxepXoOA" name="ClientServer">
      <ownedComment xmi:type="uml:Comment" xmi:id="_Y398EF0fEeqenIMm5aFGvw" annotatedElement="_WLBh4xdIEeqyMYRxepXoOA">
        <body>This system is composed of 3 components (a client, an intermediate server and the &quot;real&quot; server) that communicate via the client-server protocol. It defines:
- the addClient component that sends 2 integers to the addServer component
- the intermediate server that forwards requests coming from the client to the server.
- the addServer component that sums them and replies back with the integer result to the addClient component
Each component instance has an associated definition that can be found in the &quot;compoinents&quot; folder..
The client-server protocol exchanges communication objects that are defined in the simple service definition model. This model is loaded into the model explorer, but not into your workspace (it's defined within a plugin of Papyrus for Robotics) - an associated project is created during code generation.</body>
      </ownedComment>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_uJv9QL9GEe2La-1oivd53w" name="intermediate">
        <type xmi:type="uml:Class" href="../components/intermediateServer.compdef.uml#_-9MoUEiFEeiAtInRNnLmIQ"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_xbVp0L9GEe2La-1oivd53w" name="client">
        <type xmi:type="uml:Class" href="../components/addClient.compdef.uml#_-9MoUEiFEeiAtInRNnLmIQ"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_zYTs0L9GEe2La-1oivd53w" name="server">
        <type xmi:type="uml:Class" href="../components/addServer.compdef.uml#_3m3NQHq0EeikT4nAmbXssQ"/>
      </ownedAttribute>
      <ownedConnector xmi:type="uml:Connector" xmi:id="_GVNbsL9HEe2La-1oivd53w" name="Connects5">
        <end xmi:type="uml:ConnectorEnd" xmi:id="_GVQfAL9HEe2La-1oivd53w" partWithPort="_uJv9QL9GEe2La-1oivd53w">
          <role xmi:type="uml:Port" href="../components/intermediateServer.compdef.uml#_6SlXMHq1EeikT4nAmbXssQ"/>
        </end>
        <end xmi:type="uml:ConnectorEnd" xmi:id="_GVQfAb9HEe2La-1oivd53w" partWithPort="_zYTs0L9GEe2La-1oivd53w">
          <role xmi:type="uml:Port" href="../components/addServer.compdef.uml#_4jVckHq0EeikT4nAmbXssQ"/>
        </end>
      </ownedConnector>
      <ownedConnector xmi:type="uml:Connector" xmi:id="_VLLKYL9HEe2La-1oivd53w" name="Connects6">
        <end xmi:type="uml:ConnectorEnd" xmi:id="_VLPb0L9HEe2La-1oivd53w" partWithPort="_xbVp0L9GEe2La-1oivd53w">
          <role xmi:type="uml:Port" href="../components/addClient.compdef.uml#_6SlXMHq1EeikT4nAmbXssQ"/>
        </end>
        <end xmi:type="uml:ConnectorEnd" xmi:id="_VLPb0b9HEe2La-1oivd53w" partWithPort="_uJv9QL9GEe2La-1oivd53w">
          <role xmi:type="uml:Port" href="../components/intermediateServer.compdef.uml#_Pi2HgL2oEe2La-1oivd53w"/>
        </end>
      </ownedConnector>
    </packagedElement>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_WLBh5BdIEeqyMYRxepXoOA">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_WLBh5RdIEeqyMYRxepXoOA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/bpc/1#/"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_BPC_PROFILES/bpc.profile.uml#__9qqMJZ1Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_WLBh5hdIEeqyMYRxepXoOA">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_WLBh5xdIEeqyMYRxepXoOA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#/"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#__9qqMJZ1Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_WLBh6BdIEeqyMYRxepXoOA">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_WLBh6RdIEeqyMYRxepXoOA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//components"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_EZ1TgJZ2Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_WLBh6hdIEeqyMYRxepXoOA">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_WLBh6xdIEeqyMYRxepXoOA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//commpattern"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_8Z6x8Je6EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_WLBh7BdIEeqyMYRxepXoOA">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_WLBh7RdIEeqyMYRxepXoOA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//deployment"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_tu6OsJe9EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_WLBh7hdIEeqyMYRxepXoOA">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_WLBh7xdIEeqyMYRxepXoOA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//services"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_SlbOAJe_EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_WLBh8BdIEeqyMYRxepXoOA">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_WLBh8RdIEeqyMYRxepXoOA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//commobject"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_bz5AcPCaEeee6ab5J_C5Dg"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_WLBh8hdIEeqyMYRxepXoOA">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_WLBh8xdIEeqyMYRxepXoOA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//functions"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_SV7GwC6LEei0V9-WLHIyvg"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_WLBh9BdIEeqyMYRxepXoOA">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_WLBh9RdIEeqyMYRxepXoOA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//parameters"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_-pU5oDmpEei--ZsfKWaFtw"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_WLBh9hdIEeqyMYRxepXoOA">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_WLBh9xdIEeqyMYRxepXoOA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//generics"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_eFhjMEnvEeien6eLHpkAxA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_WLBh-BdIEeqyMYRxepXoOA">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_WLBh-RdIEeqyMYRxepXoOA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/MARTE/1#//MARTE_Foundations/NFPs"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://Papyrus_PROFILES/MARTE.profile.uml#_U_GAoAPMEdyuUt-4qHuVvQ"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_WLBh-hdIEeqyMYRxepXoOA">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_WLBh-xdIEeqyMYRxepXoOA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/MARTE/1#//MARTE_Annexes/VSL/DataTypes"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://Papyrus_PROFILES/MARTE.profile.uml#_9FdqwA-MEdyLh7muGbCqMw"/>
    </profileApplication>
  </uml:Model>
  <robotics.components:SystemComponentArchitectureModel xmi:id="_WLBh_BdIEeqyMYRxepXoOA" description="A simple client server system" base_Package="_WLBh4BdIEeqyMYRxepXoOA"/>
  <robotics.components:System xmi:id="_WLBh_RdIEeqyMYRxepXoOA" base_Class="_WLBh4xdIEeqyMYRxepXoOA"/>
  <robotics.components:ComponentInstance xmi:id="_wEmgYL9GEe2La-1oivd53w" base_Property="_uJv9QL9GEe2La-1oivd53w"/>
  <robotics.components:ComponentInstance xmi:id="_yqKNYL9GEe2La-1oivd53w" base_Property="_xbVp0L9GEe2La-1oivd53w"/>
  <robotics.components:ComponentInstance xmi:id="_1EjMML9GEe2La-1oivd53w" base_Property="_zYTs0L9GEe2La-1oivd53w"/>
  <robotics.generics:Connects xmi:id="_GVRGEL9HEe2La-1oivd53w" base_Connector="_GVNbsL9HEe2La-1oivd53w"/>
  <robotics.generics:Connects xmi:id="_VLPb0r9HEe2La-1oivd53w" base_Connector="_VLLKYL9HEe2La-1oivd53w"/>
</xmi:XMI>
